Send a message
curl --request POST \
--url https://api.usecerium.com/v1/conversations/{conversationId}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "Here is the receipt.",
"idempotencyKey": "order-1042-msg-2",
"attachments": [
{
"url": "https://files.example.com/receipts/1042.pdf",
"fileName": "receipt-1042.pdf",
"mimeType": "application/pdf",
"size": 48213
}
]
}
'import requests
url = "https://api.usecerium.com/v1/conversations/{conversationId}/messages"
payload = {
"body": "Here is the receipt.",
"idempotencyKey": "order-1042-msg-2",
"attachments": [
{
"url": "https://files.example.com/receipts/1042.pdf",
"fileName": "receipt-1042.pdf",
"mimeType": "application/pdf",
"size": 48213
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('Here is the receipt.'),
idempotencyKey: 'order-1042-msg-2',
attachments: [
{
url: 'https://files.example.com/receipts/1042.pdf',
fileName: 'receipt-1042.pdf',
mimeType: 'application/pdf',
size: 48213
}
]
})
};
fetch('https://api.usecerium.com/v1/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usecerium.com/v1/conversations/{conversationId}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'body' => 'Here is the receipt.',
'idempotencyKey' => 'order-1042-msg-2',
'attachments' => [
[
'url' => 'https://files.example.com/receipts/1042.pdf',
'fileName' => 'receipt-1042.pdf',
'mimeType' => 'application/pdf',
'size' => 48213
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.usecerium.com/v1/conversations/{conversationId}/messages"
payload := strings.NewReader("{\n \"body\": \"Here is the receipt.\",\n \"idempotencyKey\": \"order-1042-msg-2\",\n \"attachments\": [\n {\n \"url\": \"https://files.example.com/receipts/1042.pdf\",\n \"fileName\": \"receipt-1042.pdf\",\n \"mimeType\": \"application/pdf\",\n \"size\": 48213\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.usecerium.com/v1/conversations/{conversationId}/messages")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"body\": \"Here is the receipt.\",\n \"idempotencyKey\": \"order-1042-msg-2\",\n \"attachments\": [\n {\n \"url\": \"https://files.example.com/receipts/1042.pdf\",\n \"fileName\": \"receipt-1042.pdf\",\n \"mimeType\": \"application/pdf\",\n \"size\": 48213\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usecerium.com/v1/conversations/{conversationId}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"body\": \"Here is the receipt.\",\n \"idempotencyKey\": \"order-1042-msg-2\",\n \"attachments\": [\n {\n \"url\": \"https://files.example.com/receipts/1042.pdf\",\n \"fileName\": \"receipt-1042.pdf\",\n \"mimeType\": \"application/pdf\",\n \"size\": 48213\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"message": "Message received.",
"status": "success",
"data": {
"id": "msg_5d1c",
"conversationId": "thr_01k9z3m4q8",
"from": "customer",
"senderType": "customer",
"senderName": "Ada Obi",
"body": "<string>",
"attachments": [
{
"url": "<string>",
"fileName": "<string>",
"mimeType": "<string>",
"size": 1
}
],
"status": "sent",
"sentAt": "2023-11-07T05:31:56Z"
}
}{
"message": "Message received.",
"status": "success",
"data": {
"id": "msg_5d1c",
"conversationId": "thr_01k9z3m4q8",
"from": "customer",
"senderType": "customer",
"senderName": "Ada Obi",
"body": "<string>",
"attachments": [
{
"url": "<string>",
"fileName": "<string>",
"mimeType": "<string>",
"size": 1
}
],
"status": "sent",
"sentAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": [
"email must be an email"
]
}{
"statusCode": 401,
"message": "Authentication token is missing."
}{
"statusCode": 403,
"message": "This key cannot do that."
}{
"code": "thread_not_found",
"message": "No conversation has that id."
}{
"message": "<string>",
"code": "<string>",
"statusCode": 123,
"error": "<string>"
}Messages
Send a message
Adds a message from the conversation’s customer. Sending the same idempotencyKey again returns the first message (200) instead of adding another.
Required scope: conversations:write.
POST
/
conversations
/
{conversationId}
/
messages
Send a message
curl --request POST \
--url https://api.usecerium.com/v1/conversations/{conversationId}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "Here is the receipt.",
"idempotencyKey": "order-1042-msg-2",
"attachments": [
{
"url": "https://files.example.com/receipts/1042.pdf",
"fileName": "receipt-1042.pdf",
"mimeType": "application/pdf",
"size": 48213
}
]
}
'import requests
url = "https://api.usecerium.com/v1/conversations/{conversationId}/messages"
payload = {
"body": "Here is the receipt.",
"idempotencyKey": "order-1042-msg-2",
"attachments": [
{
"url": "https://files.example.com/receipts/1042.pdf",
"fileName": "receipt-1042.pdf",
"mimeType": "application/pdf",
"size": 48213
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('Here is the receipt.'),
idempotencyKey: 'order-1042-msg-2',
attachments: [
{
url: 'https://files.example.com/receipts/1042.pdf',
fileName: 'receipt-1042.pdf',
mimeType: 'application/pdf',
size: 48213
}
]
})
};
fetch('https://api.usecerium.com/v1/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usecerium.com/v1/conversations/{conversationId}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'body' => 'Here is the receipt.',
'idempotencyKey' => 'order-1042-msg-2',
'attachments' => [
[
'url' => 'https://files.example.com/receipts/1042.pdf',
'fileName' => 'receipt-1042.pdf',
'mimeType' => 'application/pdf',
'size' => 48213
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.usecerium.com/v1/conversations/{conversationId}/messages"
payload := strings.NewReader("{\n \"body\": \"Here is the receipt.\",\n \"idempotencyKey\": \"order-1042-msg-2\",\n \"attachments\": [\n {\n \"url\": \"https://files.example.com/receipts/1042.pdf\",\n \"fileName\": \"receipt-1042.pdf\",\n \"mimeType\": \"application/pdf\",\n \"size\": 48213\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.usecerium.com/v1/conversations/{conversationId}/messages")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"body\": \"Here is the receipt.\",\n \"idempotencyKey\": \"order-1042-msg-2\",\n \"attachments\": [\n {\n \"url\": \"https://files.example.com/receipts/1042.pdf\",\n \"fileName\": \"receipt-1042.pdf\",\n \"mimeType\": \"application/pdf\",\n \"size\": 48213\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usecerium.com/v1/conversations/{conversationId}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"body\": \"Here is the receipt.\",\n \"idempotencyKey\": \"order-1042-msg-2\",\n \"attachments\": [\n {\n \"url\": \"https://files.example.com/receipts/1042.pdf\",\n \"fileName\": \"receipt-1042.pdf\",\n \"mimeType\": \"application/pdf\",\n \"size\": 48213\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"message": "Message received.",
"status": "success",
"data": {
"id": "msg_5d1c",
"conversationId": "thr_01k9z3m4q8",
"from": "customer",
"senderType": "customer",
"senderName": "Ada Obi",
"body": "<string>",
"attachments": [
{
"url": "<string>",
"fileName": "<string>",
"mimeType": "<string>",
"size": 1
}
],
"status": "sent",
"sentAt": "2023-11-07T05:31:56Z"
}
}{
"message": "Message received.",
"status": "success",
"data": {
"id": "msg_5d1c",
"conversationId": "thr_01k9z3m4q8",
"from": "customer",
"senderType": "customer",
"senderName": "Ada Obi",
"body": "<string>",
"attachments": [
{
"url": "<string>",
"fileName": "<string>",
"mimeType": "<string>",
"size": 1
}
],
"status": "sent",
"sentAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": [
"email must be an email"
]
}{
"statusCode": 401,
"message": "Authentication token is missing."
}{
"statusCode": 403,
"message": "This key cannot do that."
}{
"code": "thread_not_found",
"message": "No conversation has that id."
}{
"message": "<string>",
"code": "<string>",
"statusCode": 123,
"error": "<string>"
}Authorizations
Body
application/json